<?php

namespace App\ViewModels\ProcedimentoValor\ProcedimentoValorRegistrationViewModel;

use App\Utils\Entity;

class ProcedimentoValorRegistrationViewModel extends Entity {
	protected $id_convenio_procedimento;
	protected $id_convenio;
	protected $id_procedimento;
	protected $id_unidade;
	protected $valor;
	protected $valor_interno;
	protected $valor_repasse_medico;
	protected $data_inicio;
	protected $data_fim;
	protected $status;

	public static function builder(): ProcedimentoValorRegistrationViewModelBuilder {

		return (new ProcedimentoValorRegistrationViewModelBuilder());

	}

    /**
     * @return mixed
     */
    public function getValorRepasseMedico()
    {
        return $this->valor_repasse_medico;
    }

    /**
     * @param mixed $valor_repasse_medico
     */
    public function setValorRepasseMedico($valor_repasse_medico): void
    {
        $this->valor_repasse_medico = $valor_repasse_medico;
    }

	/**
	 *
	 * @return mixed
	 */
	public function getIdConvenioProcedimento() {

		return $this->id_convenio_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdConvenio() {

		return $this->id_convenio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->id_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setIdConvenioProcedimento($id_convenio_procedimento) {

		$this->id_convenio_procedimento = $id_convenio_procedimento;

	}

	/**
	 *
	 * @param mixed $id_convenio
	 */
	public function setIdConvenio($id_convenio) {

		$this->id_convenio = $id_convenio;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setIdProcedimento($id_procedimento) {

		$this->id_procedimento = $id_procedimento;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setIdUnidade($id_unidade) {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValorInterno() {

		return $this->valor_interno;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValorInterno($valorInterno) {

		$this->valor_interno = $valorInterno;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataInicio() {

		return $this->data_inicio;

	}

	/**
	 *
	 * @param mixed $data_inicio
	 */
	public function setDataInicio($data_inicio) {

		$this->data_inicio = $data_inicio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataFim() {

		return $this->data_fim;

	}

	/**
	 *
	 * @param mixed $data_fim
	 */
	public function setDataFim($data_fim) {

		$this->data_fim = $data_fim;

	}
	/**
	 * @return mixed
	 */
	public function getStatus() {

		return $this->status;
	}


	/**
	 * @param mixed $status
	 */
	public function setStatus($status) {

		$this->status = $status;
	}



}